Booting fails 3 times, works every fourth time after new install of Natty Narwhal amd64 on Macbook Pro

Bug #774089 reported by Paul Koerbitz
142
This bug affects 23 people
Affects Status Importance Assigned to Milestone
EFI Boot Manager
New
Undecided
Unassigned
Linux
Fix Released
Undecided
Unassigned
Release Notes for Ubuntu
Undecided
Unassigned
grub-installer (Ubuntu)
High
Unassigned
grub2 (Ubuntu)
Undecided
Unassigned
libdebian-installer (Ubuntu)
Critical
Unassigned
parted (Ubuntu)
Critical
Unassigned

Bug Description

Dear all,

I am experiencing a severe problem after a new install of Natty Narwhal on my Macbook Pro last night:

The install worked fine, but after reboot nothing came up except fo a black screen.
After forcing the machine off and on multiple times I was able to bring up the rEFIt boot menu by pressing and holding the 'Alt' (or Option) key and I can then boot into MacOSX or Ubuntu without a problem.

After restarting / powering off I then have to turn the computer on / off the same number of times (3 or 4, I don't remember exactly) where nothing happens until it works again.

I am using a MacbookPro 5,5 (13.3 Inch). My harddisk is setup as follows:
200MB Partition for EFI
20GB Partition for OSX
18.6 GB Partition for / (ext4)
108.49 GB Partition for /home (ext4)
1.86 GB Partition for swap

Other people also seem to experience the same issue:
http://ubuntuforums.org/showthread.php?p=10743955&posted=1#post10743955

This is a pretty big problem for me, so your help is very much appreciated.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: linux-image-2.6.38-8-generic 2.6.38-8.42
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
NonfreeKernelModules: nvidia wl
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: NVidia [HDA NVidia], device 0: Cirrus Analog [Cirrus Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: paul 1487 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xd3480000 irq 20'
   Mixer name : 'Cirrus Logic CS4206'
   Components : 'HDA:10134206,106b4d00,00100301'
   Controls : 17
   Simple ctrls : 10
Date: Sat Apr 30 14:53:06 2011
HibernationDevice: RESUME=UUID=55afdc53-85cf-4d37-98c6-fbdd4f1c8482
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
MachineType: Apple Inc. MacBookPro5,5
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=3aad2af7-44e6-4e93-8055-7e1818600eac ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-8-generic N/A
 linux-backports-modules-2.6.38-8-generic N/A
 linux-firmware 1.52
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/15/09
dmi.bios.vendor: Apple Inc.
dmi.bios.version: MBP55.88Z.00AC.B03.0906151708
dmi.board.asset.tag: Base Board Asset Tag#
dmi.board.name: Mac-F2268AC8
dmi.board.vendor: Apple Inc.
dmi.chassis.asset.tag: Asset Tag#
dmi.chassis.type: 10
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-F2268AC8
dmi.modalias: dmi:bvnAppleInc.:bvrMBP55.88Z.00AC.B03.0906151708:bd06/15/09:svnAppleInc.:pnMacBookPro5,5:pvr1.0:rvnAppleInc.:rnMac-F2268AC8:rvr:cvnAppleInc.:ct10:cvrMac-F2268AC8:
dmi.product.name: MacBookPro5,5
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.

Revision history for this message
Paul Koerbitz (paul-koerbitz) wrote :
summary: - Booting fails 3 times, works every fourth times after new install of
+ Booting fails 3 times, works every fourth time after new install of
Natty Narwhal amd64 on Macbook Pro
Changed in ubuntu:
status: New → Confirmed
Revision history for this message
Jonathan Austin (mailforwho) wrote :

I can confirm that I have the same problem. Here's some more information

Macbook Pro 5,5. 8GB RAM. 2.26Ghz

1. Using Ubuntu amd64 11.04 desktop ISO, installing alongside OS X but having chosen to MANUALLY specify partitions.
2. I installed GRUB on to /dev/sda (which was an error, really - had I been concentrating harder then I'd have chosen /dev/sda4 which Ubuntu was on...)
3. On first reboot, the power light flashed fast, multiple times and then there was a long beep. Black screen only
4. On second boot, the power light turned on and stayed lit, but nothing at all happend
5. Eventually, the computer booted properly (!) - I presume this is a low-level apple safeguard?

What makes this serious, in my opinion is that the problem seems NOT to be confined to the disk:

Here are debug notes:

 * Conveniently I had just swapped out an old hard disk. (hours earlier, it wasn't erased). When returning this known-good hard disk to the system the problem described in (3) above was still visible

 * When I went to the Apple Store today they could not launch their diagnostic utility by holding one of N, M or B, I couldn't see... Basically the Mac guy was rather surprised by this

 * PRAM reset, while impossible in the conventional way because the boot firmware doesn't seem to work properly, can be done by unplugging the battery and holding power button (not recommended) DOES NOT fix the problem

 * I completely re-partitioned the disk and rei-installed Mac OS. This did not fix the problem

 * I could not make one of Apple Firmware restore CDs (http://support.apple.com/kb/HT2213) work (this COULD be because I could not find one appropriate for Macbook 5,5). I did not persevere as far with this as I might have liked because I had a genius bar appointment and ran out of debugging time and 'the internet' told me Apple Stores could easily restore firmware

 * Apple Store 'Genius' concluded after 35 mins of debug that I needed a new logicboard. Luckily I am under warranty, but had I not been this might have been very expensive. I presume that, while this WILL probably fix the system, it is overkill - that said, if someone whose computer isn't under warranty experiences this they may be told they need to pay for this repair.

This computer previously had 9.04 and 9.10 on it without issue.

Revision history for this message
Colin Watson (cjwatson) wrote :

I don't suppose there's any hope of installation logs? /var/log/installer/syslog, /var/log/installer/partman, and possibly /var/log/installer/debug would be the relevant ones.

Revision history for this message
Jonathan Austin (mailforwho) wrote :
Revision history for this message
Emanuele (just-tribe) wrote :

I'm affected by this bug as well, but I'm using a Macbook5,2.
As Who wrote, during boot the power light flashes fast, multiple times and then there is a long beep.
However in my case booting doesn't fail, but requires 5 minutes at least.

Revision history for this message
Martin Couture (martin-mcduo) wrote :

My Macbook Pro did the same thing too.

I want to add that it was also getting hot. The CPU was obviously working hard, I guess.
The Applestore employes replaced my motherboard (on warranty)

I have a mid 2009 13'' Macbook Pro:

  Model Identifier: MacBookPro5,5
  Processor Name: Intel Core 2 Duo
  Processor Speed: 2.26 GHz
  Number Of Processors: 1
  Total Number Of Cores: 2
  L2 Cache: 3 MB
  Memory: 6 GB
  Bus Speed: 1.07 GHz
  Boot ROM Version: MBP55.00AC.B03
  SMC Version (system): 1.47f2

Revision history for this message
Paul Koerbitz (paul-koerbitz) wrote :

Hello all,

First of all Who thank you for the extensive information. I was a little sloppy in describing the condition but can confirm that I have the same symptons as you (first power on: flashing 'sleep' light, then loud beep, then a couple of power-ons where nothing happens, then booting seems to work fine.

* I have also tried wiping the hard disk clean and to freshly install MacOS X which __does not__ resolve this issue. So it seems that it is not limited to the hard disk.

@Colin: I am afraid this rules out getting any install logs from me, sorry I only read your post when my reinstall was already under way. I think that Canonical should maybe put a warning out somewhere prominently, if I had not performed the upgrade / install and was a Macbook Pro user, then I most certainly would appreciate being warned of this issue.

* I could also not find a firmware restore cd for the Macbook Pro 5,5.
These two threads
https://discussions.apple.com/thread/2751759?threadID=2751759&tstart=45
https://discussions.apple.com/thread/2221986?threadID=2221986
discuss that topic, nobody seems to be able to find the appropriate cd.

* I will try to do the PRAM (Command-Alt/Option-P-R) and SMC (http://support.apple.com/kb/HT3964) reset, but have little hopes that this will solve the issues as Who described it wasn't working in the Apple store.

* Will then investigate firmware updates further - it seems really off that installing ubuntu would prompt something like a logic board replacement...

Revision history for this message
Paul Koerbitz (paul-koerbitz) wrote :

* PRAM and SMC reset did nothing as expected ;(

* These two threads are discussing the same problem, no soulution (besides 'logic board replacement at apple store') in sight
https://discussions.apple.com/thread/3028851?tstart=0
https://discussions.apple.com/message/15102422#15102422

Revision history for this message
Jonathan Austin (mailforwho) wrote :

Colin, I'm sorry - no logs - foolish on my part. Some of the others here sound like they haven't turned in their machines yet. I can tell you (with the obvious caveats about human memory being bad for technical details when the tiniest thing matters!) about partion scheme if that would help.

Emanuele: I can't guarantee that my computer wouldn't have booted within 5 minutes - I didn't leave it on long enough after the long nasty sounding beep...

Revision history for this message
Paul Koerbitz (paul-koerbitz) wrote :

Hi,

as I said my logs are also gone, sorry!

My machine didn't work even after five minutes, left it on 30+ minutes two times and nothing happend

Revision history for this message
Jonathan Austin (mailforwho) wrote :

It might also be worth working out a fix for anyone with their computer out-of-warranty. To this end the following debug information might also be useful

 * I could not run the latest firmware update utility because it told me 'my computer does not need the update'
 * This message persisted even after a complete re-install of OS X/redownload of the firmware utility
 * I could not find a firmware recovery CD for the macbook pro 5,5 (http://support.apple.com/kb/HT2213) (could we modify one of these to use the latest firmware for 5,5?)

* More annoyingly, I couldn't get the computer in to the right mode to reflash anyway. The Apple manual says
"
# Turn on the computer and continue holding the Power button. The sleep LED will blink rapidly, then slowly, then rapidly (3 quick blinks, 3 slow blinks, 3 quick blinks).

On Macs that don't have a sleep LED, tones are used instead. Hold down the power button until you hear 3 long tones, then 3 short tones, then 3 long tones.

On Macs that use a tray-load optical drive, the tray will open to allow the Restoration CD to be inserted.
# Insert the Firmware Restoration CD while the lights are blinking or tones sounding, then release the Power button. A long tone is played once the recovery process has started."

However I could not get the '3-quick, 3-long, 3-quick' pattern to occur. I did not try this as many times as I should have done to be certain. I was using the firmware restore cd 1.9, which doesn't list 5,5, but its list is wrong anyway: it incorrectly lists 5,1 as a 2010 model when it is really the mid 2009 17" (http://support.apple.com/kb/ht4132 vs http://support.apple.com/kb/DL1320)

Here are some useful debug docs that don't jump out of Google as easily as I'd have liked:
http://support.apple.com/kb/HT2674 - bootup sequence and status lights. I can't correlate anything on their to our problem
http://support.apple.com/kb/HT1533 - key combos at startup

Revision history for this message
Gabriel Rauter (raetiacorvus) wrote :

Same Problem on a MacBook 5,2

Revision history for this message
Paul Koerbitz (paul-koerbitz) wrote :

Who,

just a short question: How long will this logic board replacement take in your case? I am still under warranty and so will probably go to the apple store tomorrow, but if this is taking longer than a few days it will be a serious show-stopper for me.

Revision history for this message
Jonathan Austin (mailforwho) wrote :

Paul, they had a Logic Board in the store already, so said they could have it done for Tuesday (I got the last appointment on Saturday). There was a minor display hotspot issue that I'd been meaning to have fixed for a while but they had to order in a display for that, which meant they didn't know if it would be done before Wednesday. I'm in the UK and Monday is a bank holiday, as was Friday, so it is slightly unusual timing.

Revision history for this message
Martin Couture (martin-mcduo) wrote :

Paul,

My appointment at the Apple store was saturday (ytd) at 9:15 and they had the board in stock. They told me up to 3 days so up to monday. They called me at 10:45. Impressive. Work as new.

Revision history for this message
Emanuele (just-tribe) wrote :

Sorry, I forgot to report my data:

  Model Name: MacBook
  Model Identifier: MacBook5,2
  Processor Name: Intel Core 2 Duo
  Processor Speed: 2,13 GHz
  Number Of Processors: 1
  Total Number Of Cores: 2
  L2 Cache: 3 MB
  Memory: 4 GB
  Bus Speed: 1,07 GHz
  Boot ROM Version: MB52.0088.B06
  SMC Version (system): 1.38f5

Revision history for this message
Gabriel Rauter (raetiacorvus) wrote :

Sorry for not being able to provide the logs, but ubuntu never booted and the disk was already reformated...

It seems there is a better solution then logic board replacment :)

I'm probably going to try this guide to reflash the efi firmware:

http://pubmem.wordpress.com/2011/04/09/flash-efi-firmware-update-manually-on-a-macbook-51/

wish me luck

Revision history for this message
Alan Pope 🍺🐧🐱 🦄 (popey) wrote :

For those looking to obtain logs, it's possible to remove the hard disk and put it in another machine.

Revision history for this message
Gabriel Rauter (raetiacorvus) wrote :

ok the reflash worked!
The boot problem is gone.
Hopefully Canonical resolves this problem soon.

Revision history for this message
Gabriel de Maeztu (gabriel-maeztu-deactivatedaccount) wrote :

I have the same problem as you.

I've just tried the tutorial on http://pubmem.wordpress.com/2011/04/09/flash-efi-firmware-update-manually-on-a-macbook-51/

It didn't worked for me, Macbook Pro 5,5. It needs to boot 4 times, and then in the 5th boot apple's EFI works. Of course I tried with my macs version, but nothing... :(

Maybe installing another EFI like rEFIt ?? I can't afford now buying new logic board...

Thanks guysm, I thought i was the only one with this problem...

Revision history for this message
Gabriel Rauter (raetiacorvus) wrote :

Hm what could be the difference?
In my situation, i have formated the hard drive and made a clean installation of osx.
I used the command to mount the firmware. Shut down the mac book. Only pressed shorty the power button(how it is said to do it on the apple site). The macbook made the beep sound on startup and i was worried that the flash would not work, but I did not restart but waited, and it flashed then.
Did you see the firmware installation screen after rebooting?
Maybe one difference is, that in my situtation the beep only came every second boot.

Revision history for this message
Emanuele (just-tribe) wrote :

Mmm... I'll try reflashing the EFI on my macbook5,2 too. Stay tuned.

Revision history for this message
Emanuele (just-tribe) wrote :

sirblackheart you saved my life! :D
My macbook works again!
Thank you! ;)

Revision history for this message
Gabriel de Maeztu (gabriel-maeztu-deactivatedaccount) wrote :

No i did not saw it.
I also did a clean installation of OSX , and used the terminal to mount the firmware so I can't say where is the difference...

Maybe it's just the computer, mine it's 5,5 and yours 5,2
could be that I switched it off too fast when i heard the sound ¿¿??

I'm gonna try again, and if doesn't work, i will try with rEFIt ( http://refit.sourceforge.net/ )

stay tuned

Revision history for this message
Ricardo Portugal (rportugal) wrote :

I have the same issue on a MacBookPro5,5. I followed the procedure described in the link posted by Gabriel. After the "bless" command and rebooting (again worked only on the 5th time), I tried to run the .pkg for my firmware. It said that my computer did not need the update. Then I shut it down. When I turned it on, it produced the same beep, but after a few seconds a progress bar appeared, and now it works! :)

Revision history for this message
Gabriel de Maeztu (gabriel-maeztu-deactivatedaccount) wrote :

I tried to flash again, but this time I waited after the beep when rebooting, after 20 sec a grey screen has appeared with apple's logo and a charge bar . It was similar to this image (http://www.askdavetaylor.com/0-blog-pics/apple-bootcamp-photo1.png). But two seconds later the screen turned black and nothing happened.

This happened in the last 14 boots in the 15-16th the computer started up like always.

any ideas, suggestions or solutions ¿????

Thanks !!

Revision history for this message
Gabriel de Maeztu (gabriel-maeztu-deactivatedaccount) wrote :

Ricardo , did you tried the rEFIt or the tutorial ¿?

Thanks in advance!!

Revision history for this message
Ricardo Portugal (rportugal) wrote :

@Gabriel I tried the tutorial on http://pubmem.wordpress.com/2011/04/09/flash-efi-firmware-update-manually-on-a-macbook-51/ .
I'm now going through another installation to see what really solved the problem!

Revision history for this message
Ricardo Portugal (rportugal) wrote :

So, apparently the problem solves itself, at least on my MacBookPro 5-5. After installing, the computer will beep and the screen will be black, but after some seconds, a progress bar like the one described by Gabriel on #26 will appear. Suddenly the computer will shut down and when you start it again, everything will be ok!

Revision history for this message
Jonathan Austin (mailforwho) wrote :

For this fix to work you must use the RIGHT firmware, if you copy the blog post exactly you will get the firmware for the 5,2. If you don't have a 5,2 then it won't work.

You need to find the LATEST firmware for YOUR Macbook.

For example, if you have a MBP 5,5 then I would EXPECT that you should try downloading the following firmware update package:

http://support.apple.com/downloads/MacBook_Pro_EFI_Firmware_Update_1_7_

In there there are two firmware files, for a 5,5 you want
MacBook Pro EFI Firmware Update.app/Contents/Resources/MBP55_00AC_03B_LOCKED.scap

NOTE: I HAVE NOT TRIED THIS, TRY AT OWN RISK as I do not have my Macbook right now.

If you follow the procedure in the blog post here:
http://pubmem.wordpress.com/2011/04/09/flash-efi-firmware-update-manually-on-a-macbook-51/

but using this firmware file instead then I think things should work :)

Good luck,
Who

Revision history for this message
Jonathan Austin (mailforwho) wrote :

As an additional comment, before I gave my computer to Apple I installed rEFIt and it did NOT solve the problem.

Revision history for this message
Gabriel de Maeztu (gabriel-maeztu-deactivatedaccount) wrote :

It really happens that in mine too, but when I start it again it's not ok...

Strange, isn't it ?

Revision history for this message
Alan Pope 🍺🐧🐱 🦄 (popey) wrote :

For what it's worth, my MacBook Pro 7,1 doesn't exhibit this issue, and I installed OSX, then ReFit, then Ubuntu.

Revision history for this message
Gabriel de Maeztu (gabriel-maeztu-deactivatedaccount) wrote :

I've done it 4 times with the CORRECT EFI but nothing, at least in my computer...

Revision history for this message
Ricardo Portugal (rportugal) wrote :

@Gabriel any errors on "bless" or the updater?

Revision history for this message
Jonathan Austin (mailforwho) wrote :

@Gabriel de Maeztu: (re #34)

Which firmware image are you using? Are you seeing the loading bar every time?

(Also, as this discussion is happening fast perhaps we should try ubuntu-devel IRC I'm Who__ right now)

Revision history for this message
Emanuele (just-tribe) wrote :

Gabriel, make sure to shut down your mac after blessing. Then turn it on again. Be careful not to reboot.

Revision history for this message
Emanuele (just-tribe) wrote :

Dunno if this can help, but my battery was not inserted while reflashing the EFI.

Revision history for this message
Gabriel de Maeztu (gabriel-maeztu-deactivatedaccount) wrote :

#35 //// No problems on bless or updater. If I run the pkg It says that my computer is up to date. Thanks Ricardo

#36 //// Im using the image MBP55_00AC_03B_LOCKED.scap. Thanks Who

#37 //// And I did shut down not reboot. Thanks Emanuele

Thanks for your help !! I really appreciate it

I'm going to try it again... let's see what happens

Revision history for this message
Gabriel de Maeztu (gabriel-maeztu-deactivatedaccount) wrote :

Same problem, nothing changed
I have rec the boot , you can watch it here.

http://www.youtube.com/watch?v=L9Rx_C8ZeaE

:)

Revision history for this message
Paul Koerbitz (paul-koerbitz) wrote :

I am happy to report that the reflash reported by sirblackheart in #17 worked for me too! I pretty much followed the instructions in the post, after I shutdown the mbp and start again, the grey update screen appears, progress bar runs through then the computer resarts and things seem to work (this is the first restart ... but it worked right away).

@Garbriel: If I can assist with any additional information, please let me know. I used the same image as you. The 'bless' command described in the blogpost returned without any error message. I then shutdown the computer, powered on again, waited about 10s, then the grey screen that you posted appeared, the progressbar ran through (about 5s I would say), then the computer resarted and now everything seems to work again.

This is on a macbook pro 5,5.

@sirblackheart Thank you very much for digging out that post, you were very helpful!!

I think we should go to the blog poster and thank him too!

Revision history for this message
Emanuele (just-tribe) wrote :

@Gabriel If I am right, the AC adapter must be plugged in during the update process. In the video you linked it seems that the AC adapter is not plugged in.

Revision history for this message
Gabriel de Maeztu (gabriel-maeztu-deactivatedaccount) wrote :

Whoa!!!!! you are a genius!!! it was the ac !!!!

Thanks @Emanuele , and thanks @sirblackheart !!!!

Changed in ubuntu:
status: Confirmed → Fix Released
Revision history for this message
Emanuele (just-tribe) wrote :

Shouldn't this issue be reported in the release notes?

Revision history for this message
Jonathan Austin (mailforwho) wrote :

It should be in the release notes, I guess - but really it shouldn't happen i the first place!

I guess now we know how to fix it - is anyone brave enough to try another install and get some logs, etc?

Revision history for this message
Emanuele (just-tribe) wrote :

Reinstalling just now. However someone someone should try on a macbook pro, too.

Revision history for this message
Paul Koerbitz (paul-koerbitz) wrote :

Hello,

is "Fix Released" the appropriate status here?

As I see it we now know how to recover from a messed up situation -- but we still don't know why this situation was caused nor do we now how to prevent it from happening in the first place. My understanding of 'fix released' would be that we know how to keep it from happening in the first place (like we have a patch that fixes the code that caused this). But my understanding of 'fix released' could be wrong.

I would try to install again and get some logs, unfortunately I will most likely not have time to do it until the week-end...

Revision history for this message
Scott Kitterman (kitterman) wrote :

I'd say a workaround has been identified. It's not 'fixed'.

Changed in ubuntu:
status: Fix Released → Confirmed
Revision history for this message
Ricardo Portugal (rportugal) wrote :

I can install again on my MBP 5,5. What should be logged?

Revision history for this message
Emanuele (just-tribe) wrote :

You won't believe it. After reinstalling, my macbook beeped as expected, but then the EFI reflashed by itself :D
Probably the firmware file was still stored on my HFS+ partition.

However, i copied the entire /var/log so feel free to ask anything.
I'm sending /var/log/syslog, /var/log/partman, /var/log/debug as requested before.

Revision history for this message
Emanuele (just-tribe) wrote :
Revision history for this message
Emanuele (just-tribe) wrote :
Revision history for this message
Emanuele (just-tribe) wrote :
Revision history for this message
Jonathan Austin (mailforwho) wrote :

Any /var/log/installer?

Revision history for this message
Emanuele (just-tribe) wrote :

Sorry, I made a mistake while writing.
The files are:
/var/log/installer/syslog
/var/log/installer/partman
/var/log/installer/debug

Revision history for this message
Juan C Nuno (juancnuno) wrote :

My problem is similar to this one. I tried fresh installing Ubuntu 11.04 over 10.10 on my MacBook Pro 5,4 with the ubuntu-11.04-desktop-amd64.iso image. Only it never boots successfully. On every fourth (or so) time, I get an "invalid arch independent ELF magic" error. It looks like the fix for this is to get to a bash prompt upon successful boot and reflash the EFI firmware with this bless command. But how am I supposed to do that when I can never get a bash prompt?

Revision history for this message
Emanuele (just-tribe) wrote :

You have to boot into OSX, not into ubuntu.

Revision history for this message
Juan C Nuno (juancnuno) wrote :

That wasn't clear to me, thank you.

I usually run only Ubuntu on my MacBook. I still have the OS X DVD lying around. I will try installing that, doing that bless thing, and an Ubuntu reinstall. Using the same image I used before.

Is there a specific Mac Ubuntu image I should be using instead?

Revision history for this message
Emanuele (just-tribe) wrote :

You can install osx on a usb flash drive, assuming that it has enough space. That will save you from another ubuntu reinstall.

Revision history for this message
Ricardo Portugal (rportugal) wrote :

These are my logs in /var/log/installer . My machine is a MacBookPro 5,5.

Revision history for this message
Juan C Nuno (juancnuno) wrote :

I ended up installing OS X on an external USB drive. Only reflashing the firmware doesn't seem to be working. :(

sudo bless -mount / -firmware MBP53_00AC_03B_LOCKED.scap

WARNING: Improper use of the sudo command could lead to data loss
or the deletion of important system files. Please double-check your
typing when using sudo. Type "man sudo" for more information.

To proceed, enter your password, or type Ctrl-C to abort.

Password:
Error while writing to /Volumes/bless.gS66//EFI/APPLE/FIRMWARE/MBP53_00AC_03B_LOCKED.scap: No space left on device
-1 bytes written
Could not create /Volumes/bless.gS66//EFI/APPLE/FIRMWARE/MBP53_00AC_03B_LOCKED.scap
Error while writing firmware updater for EFI

Revision history for this message
Emanuele (just-tribe) wrote :

Mmm... I suppose bless doesn't work if osx is installed on a usb drive.

Revision history for this message
Roger Goldfigner (rgoldfinger) wrote :

Have the same problem. will try to reflash and see if it works.

Revision history for this message
biot023 (biot023) wrote :

Hi -- would like to try the solution pointed at above, but unfortunately there are no firmware upgrades in the list it links to for my model of MBP -- a 5,4.
Does anyone know where I can get one, or if one of the other packages (like for 5,3) would be safe for me?
Cheers,
   Doug.

Revision history for this message
Paul Koerbitz (paul-koerbitz) wrote :

Doug,

I don't know anything about this really, but I would be wary -- maybe check the internet if anyone has tried this or ask Apple, with the information provided here? Maybe they can tell you 'sure, the efi for that model is the same as...' Maybe they can't. But I can imagine that by flashing the wrong firmware you can really brick your machine, so it's high risk.

best of luck
Paul

Revision history for this message
Roger Goldfigner (rgoldfinger) wrote :

You may be able to install an old firmware version, if there was one for the 5,4.

I inadvertently installed an old firmware (1.3) on my 5,1 and it worked just fine.

I initally wrote Grub to the disk root, so I thought that might be the problem. But after updating the firmware I reinstalled Grub to the correct partition (0s3) and the same thing happened. Only the firmware updated itself automatically on first boot. Not sure if it was able to do that because I had just installed the firmware again or it was because I installed Grub correctly

Revision history for this message
Emanuele (just-tribe) wrote :

It seems that after reflashing the EFI, the firmware stores a copy of itself on the EFI partition. This should explain why you didn't need to repeat the whole procedure again.

Revision history for this message
biot023 (biot023) wrote :

Ah -- if you go to 'About This Mac', you can see the firmware that was last installed, and it was indeed the one for the 5,3 -- so I reckon I'll be good to go with that.
I might leave it for the weekend, though -- I can still boot, even if it's a PITA, and I have to work.
I'll report how I get on, though.
Thanks very much for the advice! :)

Revision history for this message
Jonathan Austin (mailforwho) wrote :

Is there any safe way to install Ubuntu on these Macs now? Has anyone found a way to do the install that doesn't result in the firmware being re-installed (I know that once it has been done once it happens automatically the next time, but I'm not altogether sure that's a good thing either!)

Surely we need to find a solution to do the install without needing the firmware updated - why does the installer even touch the firmware?!

Revision history for this message
Colin Watson (cjwatson) wrote :

May 1 22:35:41 ubuntu ubiquity: Setting up grub-efi-amd64 (1.99~rc1-13ubuntu3) ...
May 1 22:35:42 ubuntu ubiquity:
May 1 22:35:42 ubuntu ubiquity: Creating config file /etc/default/grub with new version
May 1 22:35:45 ubuntu ubiquity: BootCurrent: 0080
May 1 22:35:45 ubuntu ubiquity: BootOrder: 0080
May 1 22:35:45 ubuntu ubiquity: Boot0080* Mac OS X
May 1 22:35:45 ubuntu ubiquity: Boot0081* Mac OS X
May 1 22:35:45 ubuntu ubiquity: BootFFFF*
May 1 22:35:45 ubuntu ubiquity: Boot0000* ubuntu
May 1 22:35:45 ubuntu ubiquity: Installation finished. No error reported.
May 1 22:35:45 ubuntu ubiquity: Setting up grub-efi (1.99~rc1-13ubuntu3) ...
May 1 22:35:46 ubuntu grub-installer: info: Installing grub on 'efi-dummy'
May 1 22:35:46 ubuntu grub-installer: info: grub-install supports --no-floppy
May 1 22:35:46 ubuntu grub-installer: info: Running chroot /target grub-install --no-floppy --force
May 1 22:35:49 ubuntu kernel: [ 331.733837] efivars: get_variable() failed 0x800000000000000e!
May 1 22:35:49 ubuntu kernel: [ 331.923230] efivars: get_variable() failed 0x800000000000000e!
May 1 22:35:49 ubuntu grub-installer: BootCurrent: 0080
May 1 22:35:49 ubuntu grub-installer: BootOrder: 0080
May 1 22:35:49 ubuntu grub-installer: Boot0000* ubuntu
May 1 22:35:49 ubuntu grub-installer: Installation finished. No error reported.
May 1 22:35:49 ubuntu grub-installer: info: grub-install ran successfully

I'll need to dig into efibootmgr to see what all that's supposed to be. Can somebody post the output of 'sudo efibootmgr' (no arguments) from a live CD booted on a working system without Ubuntu installed?

affects: ubuntu → grub2 (Ubuntu)
Revision history for this message
Emanuele (just-tribe) wrote :

sudo: efibootmgr: command not found

Do i need to install it or should it be already on the livecd?

Revision history for this message
Emanuele (just-tribe) wrote :

It seems that the bug is related to the efibootmgr package rather than grub.
Running efibootmgr -c reproduces this bug.

Revision history for this message
Jakob Reiter (jakommo) wrote :

Wow, thanks to every one helping to solve this problem.
You saved me 400€ for not replacing my mainboard as the guy in the apple store suggest ;-)

I have a macbook pro (mid2009 or 5,5) and was affected by this too. Comment #30 worked for me.

Revision history for this message
Colin Watson (cjwatson) wrote : Re: [Bug 774089] Re: Booting fails 3 times, works every fourth time after new install of Natty Narwhal amd64 on Macbook Pro

You need to install it. What does it say after you do?

(I saw your subsequent comment, but I do want to know the output of
'sudo efibootmgr' on a system in the configuration I described anyway.)

Revision history for this message
Emanuele (just-tribe) wrote :

root@ubuntu:/# efibootmgr
BootCurrent: 0080
BootOrder: 0080
Boot0080* Mac OS X
BootFFFF*
root@ubuntu:/# efibootmgr -c
BootCurrent: 0080
BootOrder: 0080
Boot0080* Mac OS X
BootFFFF*
Boot0000* Linux
root@ubuntu:/# efibootmgr
BootCurrent: 0080
BootOrder: 0080

After running efibootmgr -c, some lines disappear from all the following outputs of efibootmgr.

Revision history for this message
Shaun Hayward (shaun-haywardmail) wrote :

I've now ended up completely restoring my MBP 5,5 (in efforts to get it up and running again before I was able to find the re-install firmware advice)... My question to those involved is this: If I try re-installing Natty, will simply re-re-installing the firmware file bring everything to life, leaving my Mac data intact? Alternatively, is there a way to install Natty without bricking the EFI in the first place?

Revision history for this message
Jakob Reiter (jakommo) wrote :

Yes, reinstalling natty and then re-re-install the firmware will work. Your Mac data should be intact after that. At least this was the case on my machine.

Revision history for this message
Emanuele (just-tribe) wrote :

What is the purpose of efibootmgr? It seems useless because AFAIK you cannot edit boot entries without using "bless" from OSX or an OSX install disk. That is the reason for using rEFIt on macs.
Maybe preventing efibootmgr from executing (chmod -x /bin/efibootmgr) will fix this bug. I'll make some tries.

Revision history for this message
Emanuele (just-tribe) wrote :

Ok, I just checked with other distributions and it seems that the efibootmgr bug is upstream.
If there is a way to prevent efibootmgr execution, please tell me. For exemple ubiquity should be patched in some way.
By the way, it should be reported in the release notes that, in order to boot ubuntu from EFI, you need to either install rEFIt or executing these commands from in osx:

$ sudo mount -t msdos /dev/disk0s1 /efi/
$ sudo bless --mount /efi --setBoot --file /efi/EFI/ubuntu/grubx64.efi

Revision history for this message
Emanuele (just-tribe) wrote :

Just forgot to say, but i strongly suggest to use rEFIt instead of blessing grubx64.efi, because rEFIt allows to boot to OSX with a simple restart. Booting OSX from grub is possible but tricky.

Revision history for this message
biot023 (biot023) wrote :

Just to let you know, I blessed the firmware update for the 5,3 (as that's what "About This Mac" told me I had installed), and my MBP 5,4 works again.
About to re-partition and try to install Ubuntu again -- sucker for punishment, or what? ;)
Wish me luck!

Revision history for this message
Emanuele (just-tribe) wrote :

Good. Just tried on another macbook5,2 and now it seems to be completely dead. I cannot bless the firmware because the mac completely refuses to start.

Revision history for this message
biot023 (biot023) wrote :

FWIW, I've given up. I fixed this issue, but had so many others that I've concluded that this will not work.
I couldn't boot from the Mac Natty .iso, the normal 64 bit iso would keep going black on boot, my magic mouse got chewed ... All sorts of errors.
Basically, I don't think Macbook Pros and Ubuntu 11.04 work together, at least not in any consistent & replicable way that I've seen.
I'm now going to try installing Ubuntu on a VM. Obviously, this will not be the full experience offered by my computer, but it's better than it being bust.
Good luck to anyone persevering!
& I'm not buying a Mac, next time -- whenever that is!

Revision history for this message
Aleix Domènech Turrado (redgreatwyrm) wrote :

Hi there guys!

I'm following the above posted guide about blessing the EFI manually, but I'm having a problem with the bless command.

Here's the error I get in the terminal when I enter the bless command:

No appropriate ESP for /
Failed to determine auxiliary partition mountpoint for /
Error while writing firmware updater for EFI

Annyone knows how to solve this? I downloaded the correct firmware (MacBook 5.1 late 2008).

Thanks in advance ;)

Revision history for this message
tinotom (tinotom) wrote :

With a macbook 5,1 unibody 13' (late 2008), after installing natty I was not able to boot any longer. I tried all the tricks google suggests for this bug for days and days, but none was successfull.
Only applecare and a logic board replacement brought it to life.
Really, really bad and disappointing bug.

Revision history for this message
Emanuele (just-tribe) wrote :

Too bad my mac's warranty expired long ago :(
I'll have to buy a new laptop. However I'll never buy another mac again.

Revision history for this message
Rcrook9190 (rcrook9190) wrote :

I can confirm My Macbook 6,1 has also suffered from this bug.. I have to power cycle it 5 times before it will boot. But on a plus side.. it does boot.

I do have an issue in that Apple do not have any updates for the efi on my model on its web site. So my choices are, live with it or replace the logic board at cost...

I have emailed my local Apple service centre requesting a copy of the firmware of at least a chance to pay them to re-flash my Macbook. But I am not hopeful. I dont think Apple will be too interested in fixing the result of a bug in Open Source.

I am very disappointed. And whats the most disappointing is the release notes had not been updated with the details of this issue before I attempted (a week back) to install Natty. If it had been I would not be in this situation.

PS: I just checked the release notes and there is still no warning about this issue.

Revision history for this message
biot023 (biot023) wrote :

Rcrook9190 -- my MacBook Pro is a 5,4, which there weren't any firmware updates for, either.
But I went to "About This Mac" under the Apple icon and saw that the last firmware update was for the 5,3, so downloaded that & re-flashed with that, and it was fine after that.
And yes, this is a very serious bug -- and how bloody ironic that it happens in the version of Ubuntu that looks most like OSX to date? :)
FWIW, I've given up, for now. I've got my computer working again, so I can do my job, and for my personal C++ coding I'm using clang. I'd rather be on Ubuntu using the latest GCC, but I've fairly had the fight knocked out of me for the time being.
Maybe the next release, eh?

Revision history for this message
Roberto Cássio Jr. (rcsdnj) wrote :

Why this bug, although confirmed, is not marked as critical?

Revision history for this message
Juan C Nuno (juancnuno) wrote :

I agree with the above posters. This is a _very_ serious bug that kills MacBooks. This needs to be listed in the release notes.

Mine is still dead. It will not boot. I've installed OS X on an external USB drive but bless doesn't seem to work from there.

sudo bless -mount / -firmware MBP53_00AC_03B_LOCKED.scap

WARNING: Improper use of the sudo command could lead to data loss
or the deletion of important system files. Please double-check your
typing when using sudo. Type "man sudo" for more information.

To proceed, enter your password, or type Ctrl-C to abort.

Password:
Error while writing to /Volumes/bless.gS66//EFI/APPLE/FIRMWARE/MBP53_00AC_03B_LOCKED.scap: No space left on device
-1 bytes written
Could not create /Volumes/bless.gS66//EFI/APPLE/FIRMWARE/MBP53_00AC_03B_LOCKED.scap
Error while writing firmware updater for EFI

I tried making a firmware recovery CD. That hasn't worked for me either.

After I get my MacBook back, I will seriously consider giving up on Linux. This hassle is not worth it.

Revision history for this message
Paul Koerbitz (paul-koerbitz) wrote :

+1 for release notes.

I think this is a very severe bug. Had I not been able to recover from it relatively quickly then I might have given up on Ubuntu. I really do love Ubuntu but this bug was quite a shock.

Revision history for this message
jurry (jurrybroekman) wrote :

Just wanted to let you know that the solution from this website worked for me, but in a different way. I own a MacBook Pro 5.5.

http://pubmem.wordpress.com/2011/04/09/flash-efi-firmware-update-manually-on-a-macbook-51/

This it what made it work for me:

Downloaded the the EFI update (1.7) from the apple website and unpacked it with unpkg.
Blessing the .scap file while it was still in the contents of the MacBook EFI Firmware update.app did not work for me. I copied the .scap file (located in Contents/Resources) to my home directory. After I used this command:
sudo bless -mount / -firmware MBP55_00AC_03B_LOCKED.scap

The terminal didn’t give any output info and returned to my home directory. After I copied the .scap file back into the Contents/Resources directory (replacing the old one), From there on I followed the rest of this guide.

I was so happy after days of trying that I did not pay attention anymore to what happened after the bless command worked, but when I tried to do the EFI update again it still said that my macbook was up to date with the latest firmware. So, did it do the firmware update anyway or was using the bless command actually flashing the EFI??? I wonder…..

I hope this helps for other people with a macbook 5.5.

Revision history for this message
Christophe Bastin (ozzmos) wrote :

Same problem with Macbook 6.1. Unfortunately it seems there is no firmware update available for this model...

Revision history for this message
Christophe Bastin (ozzmos) wrote :

A copy of the original firmware is stored on the hidden EFI Partition. This partition is created when you reinstall Mac OS X.
To mount this partition:
$ sudo mkdir /efi
This will create the mount point for the EFI system partition
$ sudo mount -t msdos /dev/disk0s1 /efi
You could find it under /efi/EFI/APPLE/EXTENSIONS/Firmware.scap

But now we need to find a way for "EFI Firmware Update.app" to load the original Firmware.

Revision history for this message
Emanuele (just-tribe) wrote :

A copy of the original firmware is _NOT ALWAYS_ stored on the hidden EFI partition. My old macbook created this file only after an EFI upgrade.
However thia mac was the same I was referring in comment 82. Now is dead.
It's a pity that this bug is still unassigned, since this should be considered a serious show-stopper, as it bricks macbooks.

Revision history for this message
Lukas Thum (lukasindahood) wrote :

Same thing here. I installed ubuntu 11.04 before without problems, but when i reinstalled it because i messed up some configs in ubuntu the bug appeared. For me, the efi backup is stored in /dev/disk0s1, can i use an update app from another cd? and is it, that this is really a backup, or is it just the efi damaged by ubuntu? the firmwareupdate seems to be a bit dangerous, because nobody can say if i brick my macbook completely with it, so i think i'll live with it until there is a robust solution to this, or an official firmware update for macbook6,1 is released.
I also want to say that I didn't read the release notes, so even if there was a hint about this bug i would not have known, shame on me. But since the installation is very macbook friendly and it knows when it is installed on a macbook, there should really be a disclaimer there!

Revision history for this message
Firas Kraïem (firas) wrote :

Same issue on my 5,5. Flashing as per #20 worked beautifully. Thanks a tin, Gabriel, you saved me a nice bunch of money because mine isn't on warranty anymore.

Revision history for this message
Daniel Smedegaard Buus (danielbuus) wrote :

So... It's been a month since anyone posted on this bug. Any reason the status hasn't changed?

Having ordered an Air, I'm quite interested in knowing if this bug has been solved or not? So far, 11.04 has been the worst 'buntu release yet - works improperly or not at all on all of the systems I've installed it to.

Are the new "Mac" images that are available for download safe to use with a fix for this bug? And if so, why isn't this bug closed?

Revision history for this message
Patryk Nadrowski (nadro16) wrote :

I also have this bug on my MB6,1... Maybe You know someone with copy of Firmware for 6,1?

Revision history for this message
biot023 (biot023) wrote :
Download full text (4.2 KiB)

It's here: http://support.apple.com/kb/HT1237
As per this article:
http://pubmem.wordpress.com/2011/04/09/flash-efi-firmware-update-manually-on-a-macbook-51/
That article totally saved my ass -- good luck! :)

On 23 July 2011 16:12, Patryk Nadrowski <email address hidden> wrote:

> I also have this bug on my MB6,1... Maybe You know someone with copy of
> Firmware for 6,1?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/774089
>
> Title:
> Booting fails 3 times, works every fourth time after new install of
> Natty Narwhal amd64 on Macbook Pro
>
> Status in EFI Boot Manager:
> New
> Status in Release Notes for Ubuntu:
> New
> Status in “grub2” package in Ubuntu:
> Confirmed
>
> Bug description:
> Dear all,
>
> I am experiencing a severe problem after a new install of Natty
> Narwhal on my Macbook Pro last night:
>
> The install worked fine, but after reboot nothing came up except fo a
> black screen.
> After forcing the machine off and on multiple times I was able to bring up
> the rEFIt boot menu by pressing and holding the 'Alt' (or Option) key and I
> can then boot into MacOSX or Ubuntu without a problem.
>
> After restarting / powering off I then have to turn the computer on /
> off the same number of times (3 or 4, I don't remember exactly) where
> nothing happens until it works again.
>
> I am using a MacbookPro 5,5 (13.3 Inch). My harddisk is setup as follows:
> 200MB Partition for EFI
> 20GB Partition for OSX
> 18.6 GB Partition for / (ext4)
> 108.49 GB Partition for /home (ext4)
> 1.86 GB Partition for swap
>
> Other people also seem to experience the same issue:
> http://ubuntuforums.org/showthread.php?p=10743955&posted=1#post10743955
>
> This is a pretty big problem for me, so your help is very much
> appreciated.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: linux-image-2.6.38-8-generic 2.6.38-8.42
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic x86_64
> NonfreeKernelModules: nvidia wl
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: NVidia [HDA NVidia], device 0: Cirrus Analog [Cirrus Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: paul 1487 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'NVidia'/'HDA NVidia at 0xd3480000 irq 20'
> Mixer name : 'Cirrus Logic CS4206'
> Components : 'HDA:10134206,106b4d00,00100301'
> Controls : 17
> Simple ctrls : 10
> Date: Sat Apr 30 14:53:06 2011
> HibernationDevice: RESUME=UUID=55afdc53-85cf-4d37-98c6-fbdd4f1c8482
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64
> (20110427.1)
> MachineType: Apple Inc. MacBookPro5,5
> ProcEnviron:
> LANGUAGE=en_US:en
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic
> root=UUID=3aad2af7-44e6...

Read more...

Revision history for this message
David Hasselhoff (froggyx91) wrote :

I wonder if there is any new cognition concerning OS X Lion. Has anyone tried to solve the efi problem using the new OS version?
Maybe it is possible to flash efi with the help of recovery tools provided by lion?!
What is the exact state of progress?
Unfortunately apple does not provide an efi update for my macbook 6,1. So the only thing i can do is waiting for an update?

Revision history for this message
David Hasselhoff (froggyx91) wrote :

Hey Krzysztof,

thank you for your quick response.
Do you own the macbook 6,1? And what do you mean by installator? The firmware file on your hard drive?
Because I tried the same thing, but obviously nothing happened. I would really appreciate it if you'd go more into details, because i am really in despair. The file is already laying on my desktop but which command did you use in terminal?
thank you

Revision history for this message
Nyan Cat (nyancat) wrote :

Hi :)
I own Macbook 5,1.
By installator I mean .app file that installs firmware(you can download it at apple.com)
http://pubmem.wordpress.com/2011/04/09/flash-efi-firmware-update-manually-on-a-macbook-51/

You mean macbook PRO 6,1?
If yes, I extracted firmware file for you, and you can follow this tutorial - http://pubmem.wordpress.com/2011/04/09/flash-efi-firmware-update-manually-on-a-macbook-51/

Revision history for this message
David Hasselhoff (froggyx91) wrote :

thanks for your upload, but i meant mb 6,1 not mbp. And in fact apple does not provide an official efi update for this macbook, that's the problem.
Therefore i tried installing the current firmware file, which can be located on hdd and installation dvd, but it didn't work. It seems that there is no solution for my macbook available :(

Revision history for this message
biot023 (biot023) wrote :
Download full text (4.3 KiB)

My MBP's a 5,4 -- there wasn't any update for that, either, but earlier in
this thread I described how I found out what firmware I needed (it was 5,3)
and how I installed that & fixed the issue.

On 9 August 2011 19:43, Krzysztof Litka <email address hidden> wrote:

> I recorded video how to extract .scap from package, maybe somebody will
> find this useful :) (you may need the unarchiver) -
> http://www.youtube.com/watch?v=Fhle_nxgYDM&feature=youtube_gdata_player
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/774089
>
> Title:
> Booting fails 3 times, works every fourth time after new install of
> Natty Narwhal amd64 on Macbook Pro
>
> Status in EFI Boot Manager:
> New
> Status in Release Notes for Ubuntu:
> New
> Status in “grub2” package in Ubuntu:
> Confirmed
>
> Bug description:
> Dear all,
>
> I am experiencing a severe problem after a new install of Natty
> Narwhal on my Macbook Pro last night:
>
> The install worked fine, but after reboot nothing came up except fo a
> black screen.
> After forcing the machine off and on multiple times I was able to bring up
> the rEFIt boot menu by pressing and holding the 'Alt' (or Option) key and I
> can then boot into MacOSX or Ubuntu without a problem.
>
> After restarting / powering off I then have to turn the computer on /
> off the same number of times (3 or 4, I don't remember exactly) where
> nothing happens until it works again.
>
> I am using a MacbookPro 5,5 (13.3 Inch). My harddisk is setup as follows:
> 200MB Partition for EFI
> 20GB Partition for OSX
> 18.6 GB Partition for / (ext4)
> 108.49 GB Partition for /home (ext4)
> 1.86 GB Partition for swap
>
> Other people also seem to experience the same issue:
> http://ubuntuforums.org/showthread.php?p=10743955&posted=1#post10743955
>
> This is a pretty big problem for me, so your help is very much
> appreciated.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: linux-image-2.6.38-8-generic 2.6.38-8.42
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic x86_64
> NonfreeKernelModules: nvidia wl
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: NVidia [HDA NVidia], device 0: Cirrus Analog [Cirrus Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: paul 1487 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'NVidia'/'HDA NVidia at 0xd3480000 irq 20'
> Mixer name : 'Cirrus Logic CS4206'
> Components : 'HDA:10134206,106b4d00,00100301'
> Controls : 17
> Simple ctrls : 10
> Date: Sat Apr 30 14:53:06 2011
> HibernationDevice: RESUME=UUID=55afdc53-85cf-4d37-98c6-fbdd4f1c8482
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64
> (20110427.1)
> MachineType: Apple Inc. MacBookPro5,5
> ProcEnviron:
> LANGUAGE=en_US:en
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/...

Read more...

Revision history for this message
Matteo M. (manlbox) wrote :

Hi all, David
I own Macbook 6,1 and how I fixed the issue.

Download Firmware Update 1.7 http://support.apple.com/downloads/MacBook_Pro_EFI_Firmware_Update_1_7_
MacBookPro5,5 the same hardware MacBook6,1, to extract MBP55_00AC_03B_LOCKED.scap.

mv MBP55_00AC_03B_LOCKED.scap MB61_00C8_B00_LOCKED.scap

sudo bless -mount / -firmware MBP55_00AC_B03_LOCKED.scap --verbose

Shutdown and restart Mac update the firmware and restart automatically.

Attention consequences, the MacBook6,1 as new model identifier MacBookPro5,5 but works well, possible problems could rise with future firmware update.

Revision history for this message
Matteo M. (manlbox) wrote :

Correct

Hi all, David,
I own Macbook 6,1 and how I fixed the issue.

Download Firmware Update 1.7 http://support.apple.com/downloads/MacBook_Pro_EFI_Firmware_Update_1_7_
MacBookPro5,5 the same hardware MacBook6,1, to extract MBP55_00AC_03B_LOCKED.scap.

mv MBP55_00AC_03B_LOCKED.scap MB61_00C8_B00_LOCKED.scap

sudo bless -mount / -firmware MB61_00C8_B00_LOCKED.scap --verbose

Shutdown and restart Mac update the firmware and restart automatically.

Attention consequences, the MacBook6,1 as new model identifier MacBookPro5,5 but works well, possible problems could rise with future firmware update.

Thanks for all, The Power of Community.

Revision history for this message
David Hasselhoff (froggyx91) wrote :

Hi Matteo,

thanks you very much for describing your solution. Maybe it's even possible to first install the mbp efi update and after that flash it again using your old mb 6,1 firmware. Did you tried it out?

Bye, Community is great!

Revision history for this message
Matteo M. (manlbox) wrote :

David,

Maybe it's even possible to first install the mbp efi update and after that flash it again using your old mb 6,1 firmware. Did you tried it out?

I do not have the old firmware

Revision history for this message
David Hasselhoff (froggyx91) wrote :

The original EFI firmware is located in /usr/standalone/i386 as a backup.
The attached mb 6,1 file is the latest firmware.

Revision history for this message
Matteo M. (manlbox) wrote :

Thou to tested the firmware, are you sure that the right one?

Revision history for this message
David Hasselhoff (froggyx91) wrote :

yes, it is a backup of the original mb 6,1 firmware stored on hdd in the directory i mentioned above. the fact that this file has last changed on 5.18.2009 underlines that this is not a broken file/EFI firmware. You can find the same file on the snow leopard installation disc.
And as i said i already tried to reflash Efi with this file, but it has no effect. But i wonder if it works after reflashing with mbp 5,5 firmware. Or did it fai because i didn't rename the file before flashing? That could be a reason too...

Revision history for this message
Matteo M. (manlbox) wrote :

Not sure I, aspect an eventual update from Apple.

Revision history for this message
Eric G (eee456) wrote :

Hello all,

I'd like to get in on the conversation. I have a macbook 2,1 (mid 2007) triple booting snow leopard, XP and natty and I've been dealing with the same problem for months now. I'm stunned to find out it might be related to the linux installation, I just assumed it's hardware and I was going to give up soon and let apple replace the logic board.

Has anybody else seen this- the longer I've put up with it, the worse the symptom gets? Originally it took me a few tries on a cold boot, then after a while it would take 10 tries, now it always takes me 20-30 tries. I really hope this isn't a sign that I've been causing some sort of damage. I've continued to use the computer every day because I haven't had much of a choice.

I'm going to look into trying this efi flash firmware update. My current version is MB21.00A5.B07, which seems to be the latest according to http://support.apple.com/kb/HT1237, so I'm not sure if there's anything I can do...?

Revision history for this message
Mikael Strom (mikael-sesamiq) wrote :

Short questions;

1) Does this only happen with the 64 bit version of 11.04?
2) Does it happen only with GRUB 2 / EFI? Or is it also a problem with regular GRUB 2?

I'm asking, as i need to install 11.04 / 64bit on my MBP 5,1, but this thread has given me second thoughts - i have no warranty.

I run 11.04 32-bit without issues for the time being.

Thanks in advance,
Mike

Revision history for this message
Dario Bertini (berdario) wrote :

@krysztof:
there's no 64+mac release for natty here: http://releases.ubuntu.com/natty/ (I know there are for oneric, but I'm not sure if we're talking about the same thing)

I dug up a lot of details about this bug, given its seriousness, and it seems to be threefold:

-a bug in the installer, that wrongly detects mac systems as suitable for grub-efi to be installed (due to mac specific quirks it seems the plan will be to stay on the safe side and rely on the old bios-compatibility for installing ubuntu on macs... I asked on irc and this is what I've been told by cjwatson)
-(maybe) a bug in efibootmgr (or its configuration in ubuntu)... given that it deletes some of the BootCommands from the efi ...also: I read somewhere about efibootmgr using elilo by default (and this would mismatch with grub-efi), but i'm not so sure about that anymore
-a bug in the kernel, that was fixed in these commits:
http://git.kernel.org/?p=linux/kernel/git/stable/linux-3.0.y.git;a=commit;h=202f9d0a41809e3424af5f61489b48b622824aed
http://git.kernel.org/?p=linux/kernel/git/stable/linux-3.0.y.git;a=commit;h=7cb00b72876ea2451eb79d468da0e8fb9134aa8a
http://git.kernel.org/?p=linux/kernel/git/stable/linux-3.0.y.git;a=commit;h=935a638241b0658b9749edd060f972575f9d4a78
http://git.kernel.org/?p=linux/kernel/git/stable/linux-3.0.y.git;a=commit;h=916f676f8dc016103f983c7ec54c18ecdbb6e349
 (I got this info by asking redhat's pjones)

These changes are in the linux kernel 3.0, and that's the one that is being used by oneric

I don't have the problem myself, but I have a friend who does... I asked him to try and he reported me that indeed in oneiric the problem doesn't seem to appear

I cannot confirm this first hand, though

also: the problem in the kernel has been fixed, but the bug in the installer is still there afaik

some other useful info about the fix:

-after blessing the firmware updater, the reboot will take several seconds to start it up, so it's normal if you have to wait a bit more
-my friend as a macbook pro 5,4 ... as said in this thread: the firmware update for version 5,3 is fine as well. but pay attention to the actual .scap you'll be using: inside the 5,3 .app, there's also the mbp55 firmware... if you'll apply that, your efi will get even more bricked!
-unfortunately that's exactly what happened, and this was impeding the boot every single time (unless the PRAM was resetted, but resetting the PRAM deletes any boot settings, like the one enabled by bless)... but it seems there's also another way to recover from this situation:
http://forums.macrumors.com/showthread.php?p=8414998&posted=1#post8414998
by burning a .dmg to a disk, it's possible to load it and flash the firmware even without using bless

Revision history for this message
Colin Watson (cjwatson) wrote :

Krzysztof, I disagree. This appears to be model-dependent - it may work like that for you, but I'd be a lot more comfortable shipping Ubuntu in such a way that it installs in BIOS mode on Macs, at least until a lot more work has been done. Furthermore, there have been no changes that I'm aware of that would have fixed the booting problem that prompted the creation of the amd64+mac images (although Matthew Garrett's work points the way to getting rid of those images eventually); if you aren't seeing that problem, then chances are that you never had an affected system in the first place.

The intent was always to install in BIOS mode on Macs. This didn't happen because the code that was supposed to detect Macs broke when booted in EFI mode. I'm pretty sure that fixing the detection code will avoid this bug, and I'm working on that, thanks to testing assistance from Alan Pope.

Colin Watson (cjwatson)
Changed in libdebian-installer (Ubuntu):
status: New → Triaged
importance: Undecided → Critical
Changed in parted (Ubuntu):
status: New → Triaged
importance: Undecided → Critical
Changed in grub-installer (Ubuntu):
status: New → Triaged
importance: Undecided → High
Nyan Cat (nyancat)
Changed in linux:
status: New → Fix Released
Revision history for this message
Alex Murray (alexmurray) wrote :

@Colin - I'd be pretty sad if you disabled EFI booting for Mac's as soon as it is finally actually working now on my MacBook Pro 5,1 with Oneiric - mjg's recent work has made this all work properly - please reconsider, or aleast provide a way to manually EFI boot still since it is pretty poor form to enforce BIOS mode on all Mac users when EFI now clearly works for a good number of people with Oneiric.

Revision history for this message
Martin Mac (likemart) wrote :

I have one answer and one question.

I have a MB 6,1 and I installed Ubuntu 11.04 two times.
rEfit, during boot, shows two icons for the ubuntu cd: "efi install" and "linux icon".
The first one is the origin of the problem we are discussing, the second one installs ubuntu in a BIOS emulation mode,without problem for me.
So I think the problem is how to a MB (or MBP) decides by itself which way it wants, without rEfit. It seems that a bootable flash drive uses only Efi install.

My question is: in order to solve the problem of the corrupted firmware can I try to put the MB 7,1 EFI firmware on my 6,1? (And if it will fail, does the Matteo M. (manlbox) procedure (#111) work in any case?)

Thanks!

Revision history for this message
Colin Watson (cjwatson) wrote :

Krzysztof, Alex: Hmm, OK. I'd actually forgotten to upload my fixes, and remembered about them in a panic this morning; but I guess I'll just leave it alone if it's working. I do want to keep this bug open to revisit the various bits of integration code, though, since to some extent it's only installing in EFI mode by accident (i.e. different bugs cancelling each other out).

Revision history for this message
Alex Murray (alexmurray) wrote :

Colin - why do you say its installing in EFI mode by accident? I would have assumed that if you boot the livecd in EFI mode then it will install in efi mode - and conversely if you boot in bios mode it will install bios mode - this is the expected behaviour isn't it?

Revision history for this message
Thommy (thom-kaufmann) wrote :

Unfortunately, this problem still exists in 11.10. I have a Macbook Air 2,1 (MBA21.0075.B05) that now requires 5 attempts to boot after installing 11.10.

To make matters worse, I can't perform the fix (flashing the EFI firmware) because Apple doesn't have the EFI firmware for my Macbook Air on their support site: https://support.apple.com/kb/ht1237

Any suggestions would be greatly appreciated!

Revision history for this message
biot023 (biot023) wrote :

As I explained above (in the admittedly long thread), I had the same issue with my MBP, but was able (instructions above) to establish what version of the firmware I needed (it was the previous model's, in my case) & flash that to fix the problem.

Pete Graner (pgraner)
Changed in ubuntu-release-notes:
status: New → Invalid
Nyan Cat (nyancat)
Changed in grub2 (Ubuntu):
status: Confirmed → Fix Released
Changed in grub-installer (Ubuntu):
status: Triaged → Fix Released
Changed in libdebian-installer (Ubuntu):
status: Triaged → Fix Released
Changed in parted (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Mikael Strom (mikael-sesamiq) wrote :

I'm happy to see that is fixed!

Due to this bug, i never tried the EFI boot, but realize that i should give it a shot now. I'm currently running OS X, Oneiric/32 and Precise/32 on my MBP5,1 and wonder; what is the easiest (and safest) way to setup EFI boot?

Thanks in advance,
Mike

Revision history for this message
Ziggs Party (ziggspartytime) wrote :

How to install the firmware from a MacBook Pro "Core 2 Duo" 2.26 13" onto a MacBook "Core 2 Duo" 2.26 13" (Uni/Late 09) [Action should correct SATA speed issues and maybe RAM issues]:

1) Do a clean install of Yosemite (this should be optional, but it never hurts to start clean)

2) Download http://support.apple.com/kb/DL853 (MacBook Pro EFI Firmware Update 1.7)

3) Install Pacifist: https://www.charlessoft.com/ (or whatever software you like using to extract files)

4) Open Pacifist and then drag the MacBookProEFIUpdate.dmg into it

5) Expand: Contents of MacBookProEFIUpdate.pkg -> Contents of MacBookProEFIUpdate.pkg -> Applications -> Utilities -> MacBook Pro EFI Firmware Update.app -> Contents -> Resources

6) Drag MBP55_00AC_03B_LOCKED.scap to the Desktop

7) Click the Extract button in Pacifist and enter your password if prompted and press OK (might need to enter your password twice)

8) Quit Pacifist

9) Click Go -> Utilities

10) Open Terminal

11) Type "cd Desktop" without the quotes and press Enter/Return

12) Type "mv MBP55_00AC_03B_LOCKED.scap MB61_00C8_B02_LOCKED.scap" without the quotes and press Enter/Return

13) Make sure your laptop is hooked up to a reliable power source

14) Type "sudo bless -mount / -firmware MB61_00C8_B02_LOCKED.scap --recovery --verbose" without the quotes and press Enter/Return

15) Type your password and press Enter/Return

16) Restart your Mac (you should hear an angry beep, then see a black screen like nothing is happening for a good while, then a gray screen with a progress bar, and finally the Mac will reboot again)

17) Once your Mac has booted, open your System Report and verify the update was successful (Should show the Model Identifier as a MacBookPro5,5)

18) Have a drink!

Changed in grub-installer (Ubuntu):
assignee: nobody → Matthew Schmitt (fordracing86)
Steve Langasek (vorlon)
Changed in grub-installer (Ubuntu):
assignee: Matthew Schmitt (fordracing86) → nobody
To post a comment you must log in.